> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /goodrx/drugs

> Get a GoodRx drug by slug (or drug URL): name, description, whether it is a generic and the brand it is generic for, drug class, image, prescription and legal status, administration route, plus the default form, dosage and configuration.

**Price:** 20 credits

**⚠️ Common errors:** 412: Drug not found (well-formed but nonexistent drug slug)



## OpenAPI

````yaml /openapi/price-comparison.json post /api/goodrx/drugs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/goodrx/drugs:
    post:
      tags:
        - /goodrx
      summary: /goodrx/drugs
      description: >-
        Get a GoodRx drug by slug (or drug URL): name, description, whether it
        is a generic and the brand it is generic for, drug class, image,
        prescription and legal status, administration route, plus the default
        form, dosage and configuration.


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Drug not found (well-formed but nonexistent
        drug slug)
      operationId: __api_goodrx_drugs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GoodrxDrugsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoodrxDrug'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GoodrxDrugsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        drug:
          type: string
          minLength: 1
      type: object
      required:
        - drug
    GoodrxDrug:
      properties:
        '@type':
          type: string
          default: GoodrxDrug
        id:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        generic_name:
          anyOf:
            - type: string
            - type: 'null'
        is_generic:
          type: boolean
          default: false
        drug_class:
          anyOf:
            - type: string
            - type: 'null'
        drug_class_slug:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        prescription_status:
          anyOf:
            - type: string
            - type: 'null'
        legal_status:
          anyOf:
            - type: string
            - type: 'null'
        administration_route:
          anyOf:
            - type: string
            - type: 'null'
        form:
          anyOf:
            - type: string
            - type: 'null'
        dosage:
          anyOf:
            - type: string
            - type: 'null'
        config:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````